<div class="container-user-table">
  <h2 class="title">{{ "MY_ACCOUNT.ACCOUNT.TABLE_CARD.TITLE" | translate }}</h2>
  <div class="content">
    <layout-tab-group>
      <layout-tab-item>
        <layout-tab-label>
          {{ "MY_ACCOUNT.ACCOUNT.TABLE_CARD.TAB_USERS" | translate }}
        </layout-tab-label>
        <layout-tab-body>
          <mo-table-with-controls
            [designClass]="TABLE_DESIGN_CLASS.WHITE"
            [headers]="headers"
            [response]="userList$ | async"
            [isLoading]="isLoadingUsersList$ | async"
            [loadingRows]="3"
            [pageSize]="10"
            [showOptions]="false"
            (changeTableFilters)="onChangeTableFilters($event)"
          ></mo-table-with-controls>
        </layout-tab-body>
      </layout-tab-item>
    </layout-tab-group>
  </div>
</div>

<ng-template #nameTemplate let-row="row" let-header="header">
  <div class="name">
    <img
      class="name__user-icon"
      src="/app/presentation/assets/img/icons/user-icon.svg"
      alt="user"
    />
    <div class="name__info">
      <span class="name">{{ row?.first_name }} {{ row?.last_name }}</span>
      <span class="email">{{ row?.email }}</span>
    </div>
  </div>
</ng-template>

<ng-template #statusTemplate let-row="row" let-header="header">
  <layout-status
    [status]="row[header?.dataKey] ? USER_STATUS.ACTIVE : USER_STATUS.INACTIVE"
  ></layout-status>
</ng-template>

<ng-template #rolTemplate>
  <label>Super Admin</label>
</ng-template>
